import '../dstu2.dart';

class ResourceUtils {
  static const resourceTypeFromStringMap = {
    'Account': Account,
    'AllergyIntolerance': AllergyIntolerance,
    'Appointment': Appointment,
    'AppointmentResponse': AppointmentResponse,
    'AuditEvent': AuditEvent,
    'Basic': Basic,
    'Binary': Binary,
    'BodySite': BodySite,
    'Bundle': Bundle,
    'CapabilityStatement': CapabilityStatement,
    'CarePlan': CarePlan,
    'Claim': Claim,
    'ClaimResponse': ClaimResponse,
    'ClinicalImpression': ClinicalImpression,
    'Communication': Communication,
    'CommunicationRequest': CommunicationRequest,
    'Composition': Composition,
    'ConceptMap': ConceptMap,
    'Condition': Condition,
    'Conformance': Conformance,
    'Contract': Contract,
    'Coverage': Coverage,
    'DataElement': DataElement,
    'DetectedIssue': DetectedIssue,
    'Device': Device,
    'DeviceComponent': DeviceComponent,
    'DeviceMetric': DeviceMetric,
    'DeviceUseRequest': DeviceUseRequest,
    'DeviceUseStatement': DeviceUseStatement,
    'DiagnosticOrder': DiagnosticOrder,
    'DiagnosticReport': DiagnosticReport,
    'DocumentManifest': DocumentManifest,
    'DocumentReference': DocumentReference,
    'EligibilityRequest': EligibilityRequest,
    'EligibilityResponse': EligibilityResponse,
    'Encounter': Encounter,
    'EnrollmentRequest': EnrollmentRequest,
    'EnrollmentResponse': EnrollmentResponse,
    'EpisodeOfCare': EpisodeOfCare,
    'ExplanationOfBenefit': ExplanationOfBenefit,
    'FamilyMemberHistory': FamilyMemberHistory,
    'Flag': Flag,
    'Goal': Goal,
    'Group': Group,
    'HealthcareService': HealthcareService,
    'ImagingObjectSelection': ImagingObjectSelection,
    'ImagingStudy': ImagingStudy,
    'Immunization': Immunization,
    'ImmunizationRecommendation': ImmunizationRecommendation,
    'ImplementationGuide': ImplementationGuide,
    'List': List_,
    'Location': Location,
    'Media': Media,
    'Medication': Medication,
    'MedicationAdministration': MedicationAdministration,
    'MedicationDispense': MedicationDispense,
    'MedicationOrder': MedicationOrder,
    'MedicationStatement': MedicationStatement,
    'MessageHeader': MessageHeader,
    'NamingSystem': NamingSystem,
    'NutritionOrder': NutritionOrder,
    'Observation': Observation,
    'OperationDefinition': OperationDefinition,
    'OperationOutcome': OperationOutcome,
    'Order': Order,
    'OrderResponse': OrderResponse,
    'Organization': Organization,
    'Parameters': Parameters,
    'Patient': Patient,
    'PaymentNotice': PaymentNotice,
    'PaymentReconciliation': PaymentReconciliation,
    'Person': Person,
    'Practitioner': Practitioner,
    'Procedure': Procedure,
    'ProcedureRequest': ProcedureRequest,
    'ProcessRequest': ProcessRequest,
    'ProcessResponse': ProcessResponse,
    'Provenance': Provenance,
    'Questionnaire': Questionnaire,
    'QuestionnaireResponse': QuestionnaireResponse,
    'ReferralRequest': ReferralRequest,
    'RelatedPerson': RelatedPerson,
    'RiskAssessment': RiskAssessment,
    'Schedule': Schedule,
    'SearchParameter': SearchParameter,
    'Slot': Slot,
    'Specimen': Specimen,
    'StructureDefinition': StructureDefinition,
    'Subscription': Subscription,
    'Substance': Substance,
    'SupplyDelivery': SupplyDelivery,
    'SupplyRequest': SupplyRequest,
    'TestScript': TestScript,
    'ValueSet': ValueSet,
    'VisionPrescription': VisionPrescription,
  };

  static const resourceTypeToStringMap = {
    Account: 'Account',
    AllergyIntolerance: 'AllergyIntolerance',
    Appointment: 'Appointment',
    AppointmentResponse: 'AppointmentResponse',
    AuditEvent: 'AuditEvent',
    Basic: 'Basic',
    Binary: 'Binary',
    BodySite: 'BodySite',
    Bundle: 'Bundle',
    CapabilityStatement: 'CapabilityStatement',
    CarePlan: 'CarePlan',
    Claim: 'Claim',
    ClaimResponse: 'ClaimResponse',
    ClinicalImpression: 'ClinicalImpression',
    Communication: 'Communication',
    CommunicationRequest: 'CommunicationRequest',
    Composition: 'Composition',
    ConceptMap: 'ConceptMap',
    Condition: 'Condition',
    Conformance: 'Conformance',
    Contract: 'Contract',
    Coverage: 'Coverage',
    DataElement: 'DataElement',
    DetectedIssue: 'DetectedIssue',
    Device: 'Device',
    DeviceComponent: 'DeviceComponent',
    DeviceMetric: 'DeviceMetric',
    DeviceUseRequest: 'DeviceUseRequest',
    DeviceUseStatement: 'DeviceUseStatement',
    DiagnosticOrder: 'DiagnosticOrder',
    DiagnosticReport: 'DiagnosticReport',
    DocumentManifest: 'DocumentManifest',
    DocumentReference: 'DocumentReference',
    EligibilityRequest: 'EligibilityRequest',
    EligibilityResponse: 'EligibilityResponse',
    Encounter: 'Encounter',
    EnrollmentRequest: 'EnrollmentRequest',
    EnrollmentResponse: 'EnrollmentResponse',
    EpisodeOfCare: 'EpisodeOfCare',
    ExplanationOfBenefit: 'ExplanationOfBenefit',
    FamilyMemberHistory: 'FamilyMemberHistory',
    Flag: 'Flag',
    Goal: 'Goal',
    Group: 'Group',
    HealthcareService: 'HealthcareService',
    ImagingObjectSelection: 'ImagingObjectSelection',
    ImagingStudy: 'ImagingStudy',
    Immunization: 'Immunization',
    ImmunizationRecommendation: 'ImmunizationRecommendation',
    ImplementationGuide: 'ImplementationGuide',
    List_: 'List',
    Location: 'Location',
    Media: 'Media',
    Medication: 'Medication',
    MedicationAdministration: 'MedicationAdministration',
    MedicationDispense: 'MedicationDispense',
    MedicationOrder: 'MedicationOrder',
    MedicationStatement: 'MedicationStatement',
    MessageHeader: 'MessageHeader',
    NamingSystem: 'NamingSystem',
    NutritionOrder: 'NutritionOrder',
    Observation: 'Observation',
    OperationDefinition: 'OperationDefinition',
    OperationOutcome: 'OperationOutcome',
    Order: 'Order',
    OrderResponse: 'OrderResponse',
    Organization: 'Organization',
    Parameters: 'Parameters',
    Patient: 'Patient',
    PaymentNotice: 'PaymentNotice',
    PaymentReconciliation: 'PaymentReconciliation',
    Person: 'Person',
    Practitioner: 'Practitioner',
    Procedure: 'Procedure',
    ProcedureRequest: 'ProcedureRequest',
    ProcessRequest: 'ProcessRequest',
    ProcessResponse: 'ProcessResponse',
    Provenance: 'Provenance',
    Questionnaire: 'Questionnaire',
    QuestionnaireResponse: 'QuestionnaireResponse',
    ReferralRequest: 'ReferralRequest',
    RelatedPerson: 'RelatedPerson',
    RiskAssessment: 'RiskAssessment',
    Schedule: 'Schedule',
    SearchParameter: 'SearchParameter',
    Slot: 'Slot',
    Specimen: 'Specimen',
    StructureDefinition: 'StructureDefinition',
    Subscription: 'Subscription',
    Substance: 'Substance',
    SupplyDelivery: 'SupplyDelivery',
    SupplyRequest: 'SupplyRequest',
    TestScript: 'TestScript',
    ValueSet: 'ValueSet',
    VisionPrescription: 'VisionPrescription',
  };
}
